#ifndef AUDIORECINFO_H
#define AUDIORECINFO_H

#include <QIODevice>
#include <QObject>
#include <QList>
#include <QtMultimedia/QAudioFormat>
#include <QtMultimedia/QAudioDeviceInfo>

class AudioRecInfo : public QIODevice
{
    Q_OBJECT
public:
    AudioRecInfo(QObject *paren = nullptr);
    ~AudioRecInfo();
    void setAudioSession(void *session) {m_session = session;}

protected:
    qint64 readData(char *data, qint64 maxlen);
    qint64 writeData(const char *data, qint64 len);


private:
    QList<char> m_data;
    void *m_session = nullptr;
};


#endif // AUDIORECINFO_H
